package projet.iut.jeu_de_la_vie.view.fragment;

import android.content.Context;
import android.os.Bundle;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import projet.iut.jeu_de_la_vie.R;
import projet.iut.jeu_de_la_vie.model.Manager;
import projet.iut.jeu_de_la_vie.view.PlateauView;

public class FragmentPlateau extends Fragment {
/*
    private Plateau plateau;

    public Plateau getPlateau() {
        return plateau;
    }

    public void setPlateau(Plateau plateau) {
        this.plateau = plateau;
    }
*/
    private Manager manager;
    public FragmentPlateau(){
        super(R.layout.fragment_plateau); //<-- lui passer la future vue du jeu
        manager = new Manager();
    }

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        manager.setNumberOfLines((Integer) getArguments().get("colones"));
        manager.setNumberOfColumns((Integer) getArguments().get("lignes"));
    }


    @Override
    public void onViewCreated (@NonNull View view, Bundle savedInstanceState){
        Log.d("fragment",isAdded()+"");
        PlateauView plateauView = view.findViewById(R.id.plateauView);
        //plateauView.setColones();
    }

    @Override
    public void onInflate(@NonNull Context context, @NonNull AttributeSet attrs, @Nullable Bundle savedInstanceState) {
        super.onInflate(context, attrs, savedInstanceState);

    }
}
